<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="workfkmanager.aspx.cs" Inherits="Us.Web.admin.work.workfkmanager" %>



<%@ Register Src="~/admin/work/workinfo.ascx" TagPrefix="uc1" TagName="workinfo" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />
    <title>评分工作管理</title>

    <link href="../style/default/style.css" rel="stylesheet" type="text/css" />

    <script type="text/javascript" src="/admin/js/jquery/jquery-1.12.3.min.js"></script>

   
    <asp:Literal ID="litregscript" runat="server" Text=""></asp:Literal>
     <%=ImportScriptStr %>
    <script language="javascript" type="text/javascript">
        KindEditor.ready(function (K) {
            K.create('#txtEvalInfo');
        });
    </script>

    <script language="javascript" type="text/javascript">
        $(function () {
            $("#drpEvalID").on("change", function () {
                var s = $(this).children('option:selected').attr("data-evalid");
                $("#txtEvalue").val(s);


                var s2 = $(this).children('option:selected').text();
                $("#txtWorkName").val(s2);

                var s1 = $(this).children('option:selected').attr("data-evalinfo");
                $("#txtEvalInfo").val(s1);
                KindEditor.html('#txtEvalInfo', s1);
            });

            $("#drpEvalID").change();
        });

        function opJsTreeUser(txt, txtValue) {
            var para = "/admin/basic/usertreeselect.aspx?para=2&list=" + $("#" + txtValue).val() + "&PostID=<% =LoginUserInfo.sPostID %>&DeptID=<% =LoginUserInfo.sDeptID %>";
            CareffArtOpen4(para, '人员选择', 300, 650, function (path) {
                //alert(path);
                if (path == null) { return false; }
                var strs = path.split("#")
                var m = $id(txt)
                m.value = strs[1];
                var m1 = $id(txtValue)
                m1.value = strs[0];
            });
        }

        function opJsTreeUserD(txt, txtValue) {
            var para = "/admin/basic/usertreeselect.aspx?para=1&list=" + $("#" + txtValue).val() + "&PostID=<% =LoginUserInfo.sPostID %>&DeptID=<% =LoginUserInfo.sDeptID %>";
            CareffArtOpen4(para, '人员选择', 300, 650, function (path) {
                //alert(path);
                if (path == null) { return false; }
                var strs = path.split("#")
                var m = $id(txt)
                m.value = strs[1];
                var m1 = $id(txtValue)
                m1.value = strs[0];
            });
        }

        function jscheckAll() {
            var sValue = $("#WorkState").val();


            if (sValue == "2") {
                //return window.confirm("当您提交工作任务状态为[已经发布]状态，您将无法修改，是否要继续吗？");
                var info = "";
                info = "当评分工作状态为[已发布]状态，其他人可以看到评分工作，是否要继续吗？";

                if (art.dialog.data("retdata") == 1) {
                    art.dialog.data("retdata", 0);//重置
                    return true;
                }
                art.dialog.confirm(info, function () {
                    art.dialog.data("retdata", 1);
                    document.getElementById("btnSubmit").click();
                });

                return false;
            }
            return true;
        }
    </script>
</head>
<body onload="win_onLoad();">
    <form id="form1" runat="server">

        <div id="tbMain">
            <div class="divTbg">
                <div class="divTbgL">
                </div>
                <div class="divTbgInfo">
                    <div class="divTbgTitle">
                        评分工作管理
                    </div>
                </div>
            </div>
            <div class="divTbgF">
            </div>
            <div class="divTNavBG" id="topURL">
                <ul id="topURLul">
                    <li class="divURLed" id="div1">
                        <div>
                            <img src="../style/default/images/mini_icons_046.gif" width="10" height="10" />
                            基本信息
                        </div>
                    </li>
                </ul>
            </div>
            <div id="mypanel">
                <uc1:workinfo runat="server" ID="workinfo" />

                
                <div class="divInfo">
                    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tablist">
                        <tr class="tablisttr">
                            <td colspan="2" class="tablisttitle">反馈说明<span class="fStar">*</span></td>
                        </tr>

                        <tr class="tablisttr">
                            <td class="tablisttitle">反馈说明</td>
                            <td class="tabmanagertr">
                                <asp:TextBox ID="txtFInfo" runat="server" ToolTip="反馈说明" TextMode="MultiLine" Text="" Width="80%" Height="50px" CssClass="1"
                                    placeholder="录入您本次反馈的内容"></asp:TextBox></td>

                        </tr>


                        <tr class="tablisttr">
                            <td class="tablisttitle">上传附件</td>
                            <td class="tabmanagertr">
                                <asp:TextBox ID="txtFAddr" runat="server" ToolTip="上传附件" Text="" Width="80%"></asp:TextBox>
                                <a href="#" onclick="SkyOpen('txtFAddr');">[选择]</a><a href="#" onclick="SkyView('txtFAddr');">[查看]</a><a href="#" onclick="SkyDelete('txtFAddr');">[清空]</a></td>

                        </tr>





                        <tr class="tablisttr">
                            <td class="tablisttitle">状态说明</td>
                            <td class="tabmanagertr">
                                <asp:DropDownList runat="server" ID="drpWSFType" ToolTip="状态说明">
                                    <asp:ListItem Value="WSFType" Text="codeno"></asp:ListItem>
                                </asp:DropDownList>



                            </td>

                        </tr>





                    </table>
                </div>
                <div class="divSave">
                    <asp:Button ID="btnSubmit" runat="server" Text="保存(S)"
                        CssClass="SkyButtonFocus" OnClick="btnSubmit_Click" />
                    <asp:Button ID="btnExit" runat="server" Text="取消(C)" CssClass="SkyButtonFocus"
                        OnClick="btnSubmit_Click" />
                </div>
            </div>
        </div>

    </form>
</body>
</html>
